Subject: bug#32248: closed (Re: bug#32248: 27.0; (elisp) `Indentation Commands': Bad formatting)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 25 Jul 2018 14:27:02 +0000

Your bug report

#32248: (emacs) `Indentation Commands': Bad formatting

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32248: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32248
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32248: 27.0; (elisp) `Indentation Commands': Bad formatting
From: Eli Zaretskii <[email-masked]>
To: Noam Postavsky <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 25 Jul 2018 17:26:31 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Noam Postavsky <[email-masked]>
> Date: Tue, 24 Jul 2018 22:13:50 -0400
> Cc: [email-masked]
> 
> The corresponding texinfo source has:
> 
>     adjusting the indentation of the affected lines interactively.  While
>     this transient mode is active, typing @key{LEFT} or @key{RIGHT}
>     indents leftward and rightward, respectively, by one space.  You can
>     also type @kbd{S-@key{LEFT}} or @kbd{S-@key{RIGHT}} to indent leftward
> 
> It seems that @key{} by itself just puts angle brackets around the key,
> without changing font.  @kbd{} translates into <kbd> tags.  So I think
> the formatting is as intended.

Yes, it's what the author intended.  Whether to use @kbd{@key{...}} or
just @key{...} is many times a judgment call, and this case is
borderline.  However, given that some of the keys in this node are
inside @kbd and some not, and they are so close to each other within
the same text, I think it is better to have them all in @kbd.  So I
made that change, and I'm marking this bug done.

Thanks.

Subject: 27.0; (elisp) `Indentation Commands': Bad formatting
From: Drew Adams <[email-masked]>
To: [email-masked]
Date: Sun, 22 Jul 2018 18:36:57 -0700 (PDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

Some of the key descriptions do not use the correct font: <TAB>, <LEFT>,
and <RIGHT>.

You can see this more easily in the HTML version:
https://www.gnu.org/software/emacs/manual/html_node/emacs/Indentation-Commands.html

In GNU Emacs 27.0.50 (build 3, x86_64-w64-mingw32)
 of 2018-03-21
Repository revision: e70d0c9e66d7a8609450b2889869d16aeb0363b5
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --without-dbus --host=x86_64-w64-mingw32
 --without-compress-install -C 'CFLAGS=-O2 -static -g3''